Runtime

## org.eclipse.gmf.runtime.notation
Interface RoutingStyle

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, RoundedCornersStyle, Style

All Known Subinterfaces:
  Connector, ConnectorStyle

All Known Implementing Classes:
  ConnectorImpl, ConnectorStyleImpl, RoutingStyleImpl

    public interface RoutingStyle

extends RoundedCornersStyle

A representation of the model object 'Routing Style'.

The routing style is a style to be installed on edges to guide their routing

The following features are supported:

- `Routing`
- `Smoothness`
- `Avoid Obstructions`
- `Closest Distance`
- `Jump Link Status`
- `Jump Link Type`
- `Jump Links Reverse`

See Also:
  `NotationPackage.getRoutingStyle()`
** Generated **
Model:

Method Summary
`JumpLinkStatus` `getJumpLinkStatus()` Returns the value of the 'Jump Link Status' attribute.
`JumpLinkType` `getJumpLinkType()` Returns the value of the 'Jump Link Type' attribute.
`Routing` `getRouting()` Returns the value of the 'Routing' attribute.
`Smoothness` `getSmoothness()` Returns the value of the 'Smoothness' attribute.
`boolean` `isAvoidObstructions()` Returns the value of the 'Avoid Obstructions' attribute.
`boolean` `isClosestDistance()` Returns the value of the 'Closest Distance' attribute.
`boolean` `isJumpLinksReverse()` Returns the value of the 'Jump Links Reverse' attribute.
`void` `setAvoidObstructions(boolean value)` Sets the value of the '`Avoid Obstructions`' attribute
`void` `setClosestDistance(boolean value)` Sets the value of the '`Closest Distance`' attribute
`void` `setJumpLinksReverse(boolean value)` Sets the value of the '`Jump Links Reverse`' attribute
`void` `setJumpLinkStatus(JumpLinkStatus value)` Sets the value of the '`Jump Link Status`' attribute
`void` `setJumpLinkType(JumpLinkType value)` Sets the value of the '`Jump Link Type`' attribute
`void` `setRouting(Routing value)` Sets the value of the '`Routing`' attribute
`void` `setSmoothness(Smoothness value)` Sets the value of the '`Smoothness`' attribute

Methods inherited from interface org.eclipse.gmf.runtime.notation.RoundedCornersStyle
`getRoundedBendpointsRadius, setRoundedBendpointsRadius`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRouting

    Routing getRouting()

  Returns the value of the 'Routing' attribute. The default value is `"Manual"`. The literals are from the enumeration `Routing`.

  The property specifies the desired routing algorithm

  Returns:
    the value of the 'Routing' attribute.
  See Also:
    `Routing`, `setRouting(Routing)`, `NotationPackage.getRoutingStyle_Routing()`
  ** Generated **
  Model:
    default="Manual"

### setRouting

    void setRouting(Routing value)

  Sets the value of the '`Routing`' attribute.

  The property specifies the desired routing algorithm

  Parameters:
    `value` - the new value of the 'Routing' attribute.
  See Also:
    `Routing`, `getRouting()`
  ** Generated **

### getSmoothness

    Smoothness getSmoothness()

  Returns the value of the 'Smoothness' attribute. The default value is `"None"`. The literals are from the enumeration `Smoothness`.

  The property specifies the desired smoothing for the edge'e line

  Returns:
    the value of the 'Smoothness' attribute.
  See Also:
    `Smoothness`, `setSmoothness(Smoothness)`, `NotationPackage.getRoutingStyle_Smoothness()`
  ** Generated **
  Model:
    default="None"

### setSmoothness

    void setSmoothness(Smoothness value)

  Sets the value of the '`Smoothness`' attribute.

  The property specifies the desired smoothing for the edge'e line

  Parameters:
    `value` - the new value of the 'Smoothness' attribute.
  See Also:
    `Smoothness`, `getSmoothness()`
  ** Generated **

### isAvoidObstructions

    boolean isAvoidObstructions()

  Returns the value of the 'Avoid Obstructions' attribute. The default value is `"false"`.

  The property specifies whether the edge's router should avoid obstructions

  Returns:
    the value of the 'Avoid Obstructions' attribute.
  See Also:
    `setAvoidObstructions(boolean)`, `NotationPackage.getRoutingStyle_AvoidObstructions()`
  ** Generated **
  Model:
    default="false"

### setAvoidObstructions

    void setAvoidObstructions(boolean value)

  Sets the value of the '`Avoid Obstructions`' attribute.

  The property specifies whether the edge's router should avoid obstructions

  Parameters:
    `value` - the new value of the 'Avoid Obstructions' attribute.
  See Also:
    `isAvoidObstructions()`
  ** Generated **

### isClosestDistance

    boolean isClosestDistance()

  Returns the value of the 'Closest Distance' attribute. The default value is `"false"`.

  The property specifies whether the edge's router should should choose closest distances

  Returns:
    the value of the 'Closest Distance' attribute.
  See Also:
    `setClosestDistance(boolean)`, `NotationPackage.getRoutingStyle_ClosestDistance()`
  ** Generated **
  Model:
    default="false"

### setClosestDistance

    void setClosestDistance(boolean value)

  Sets the value of the '`Closest Distance`' attribute.

  The property specifies whether the edge's router should should choose closest distances

  Parameters:
    `value` - the new value of the 'Closest Distance' attribute.
  See Also:
    `isClosestDistance()`
  ** Generated **

### getJumpLinkStatus

    JumpLinkStatus getJumpLinkStatus()

  Returns the value of the 'Jump Link Status' attribute. The default value is `"None"`. The literals are from the enumeration `JumpLinkStatus`.

  The property specifies the status of the jump links used in the routing algorithm

  Returns:
    the value of the 'Jump Link Status' attribute.
  See Also:
    `JumpLinkStatus`, `setJumpLinkStatus(JumpLinkStatus)`, `NotationPackage.getRoutingStyle_JumpLinkStatus()`
  ** Generated **
  Model:
    default="None"

### setJumpLinkStatus

    void setJumpLinkStatus(JumpLinkStatus value)

  Sets the value of the '`Jump Link Status`' attribute.

  The property specifies the status of the jump links used in the routing algorithm

  Parameters:
    `value` - the new value of the 'Jump Link Status' attribute.
  See Also:
    `JumpLinkStatus`, `getJumpLinkStatus()`
  ** Generated **

### getJumpLinkType

    JumpLinkType getJumpLinkType()

  Returns the value of the 'Jump Link Type' attribute. The default value is `"Semicircle"`. The literals are from the enumeration `JumpLinkType`.

  The property specifies the type of the jump links used in the routing algorithm

  Returns:
    the value of the 'Jump Link Type' attribute.
  See Also:
    `JumpLinkType`, `setJumpLinkType(JumpLinkType)`, `NotationPackage.getRoutingStyle_JumpLinkType()`
  ** Generated **
  Model:
    default="Semicircle"

### setJumpLinkType

    void setJumpLinkType(JumpLinkType value)

  Sets the value of the '`Jump Link Type`' attribute.

  The property specifies the type of the jump links used in the routing algorithm

  Parameters:
    `value` - the new value of the 'Jump Link Type' attribute.
  See Also:
    `JumpLinkType`, `getJumpLinkType()`
  ** Generated **

### isJumpLinksReverse

    boolean isJumpLinksReverse()

  Returns the value of the 'Jump Links Reverse' attribute. The default value is `"false"`.

  The property specifies whether the jump links used in the routing algorithm should be reveresed

  Returns:
    the value of the 'Jump Links Reverse' attribute.
  See Also:
    `setJumpLinksReverse(boolean)`, `NotationPackage.getRoutingStyle_JumpLinksReverse()`
  ** Generated **
  Model:
    default="false"

### setJumpLinksReverse

    void setJumpLinksReverse(boolean value)

  Sets the value of the '`Jump Links Reverse`' attribute.

  The property specifies whether the jump links used in the routing algorithm should be reveresed

  Parameters:
    `value` - the new value of the 'Jump Links Reverse' attribute.
  See Also:
    `isJumpLinksReverse()`
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.